首页   注册   登录
V2EX = way to explore
V2EX 是一个关于分享和探索的地方
现在注册
已注册用户请  登录
102errors
V2EX  ›  CentOS

CentOS 7.3 部署 IPsec L2TP 失败

  •  
  •   102errors · 2016-12-22 12:39:29 +08:00 · 4250 次点击
    这是一个创建于 1125 天前的主题,其中的信息可能已经有所发展或是发生改变。

    其中安装 xl2tpd 的时候报错

    [[email protected] ~]# yum install -y xl2tpd
    Loaded plugins: fastestmirror
    Loading mirror speeds from cached hostfile
     * base: ftp.tsukuba.wide.ad.jp
     * epel: ftp.jaist.ac.jp
     * extras: ftp.tsukuba.wide.ad.jp
     * updates: ftp.tsukuba.wide.ad.jp
    Resolving Dependencies
    --> Running transaction check
    ---> Package xl2tpd.x86_64 0:1.3.8-1.el7 will be installed
    --> Processing Dependency: kmod(l2tp_ppp.ko) for package: xl2tpd-1.3.8-1.el7.x86_64
    --> Finished Dependency Resolution
    Error: Package: xl2tpd-1.3.8-1.el7.x86_64 (epel)
               Requires: kmod(l2tp_ppp.ko)
     You could try using --skip-broken to work around the problem
     You could try running: rpm -Va --nofiles --nodigest
    [[email protected] ~]# 
    

    请问该怎么解决呢

    12 回复  |  直到 2016-12-28 01:30:06 +08:00
    anjunecha
        1
    anjunecha   2016-12-22 12:43:39 +08:00 via iPhone
    换 SoftEther 搭吧
    ryd994
        2
    ryd994   2016-12-22 13:10:04 +08:00
    你这是 openvz 的 vps 么?
    找服务商开 ppp 试试
    kiancyc
        3
    kiancyc   2016-12-22 13:55:16 +08:00
    我也报这个错 Vultr 的机子,发了工单让我自己解决,之前版本的 Centos yum install xl2tpd 没问题
    Error: Package: xl2tpd-1.3.8-1.el7.x86_64 (epel)
    Requires: kmod(l2tp_ppp.ko)
    102errors
        4
    102errors   2016-12-22 13:57:25 +08:00
    @kiancyc 我的也是 vultr 的,它提供的 7.3 是精简版的 不知道是不是缺少部分内核模块 我正在上传 7.2 的 ISO 试试看
    rex1901
        5
    rex1901   2016-12-22 15:37:06 +08:00
    动态挂载?
    ragnaroks
        6
    ragnaroks   2016-12-23 09:20:40 +08:00
    @anjunecha +1,再搞一个做主控,再搞个 redis 集成系统做财务管理,妥妥的 vpn 大商
    skywhat
        7
    skywhat   2016-12-23 10:23:22 +08:00
    我也碰到了这个问题,无语啊。
    https://bugs.centos.org/view.php?id=12468
    CentOS 表示这是 EPEL 的锅,我不背
    The bug is in an EPEL product, not in CentOS.
    目前看来是无解的???
    有人搞定了吗
    skywhat
        8
    skywhat   2016-12-23 10:27:21 +08:00
    看样子, CentOS 下的 L2TP 协议的 VPN 全部歇菜了????
    中文圈只有这里讨论了,外文论坛也看到讨论
    102errors
        9
    102errors   2016-12-23 12:49:19 +08:00
    @skywhat 原来如此
    kiancyc
        10
    kiancyc   2016-12-23 15:19:58 +08:00
    我换回 centos 6 了 重新安装 xl2tpd 没有问题
    102errors
        11
    102errors   2016-12-24 16:09:13 +08:00
    @kiancyc 之前 7.2 都没问题,可是 vultr 只有 7.3 的 iso ,我也用回 7.2 了
    Rennes
        12
    Rennes   2016-12-28 01:30:06 +08:00
    安装 xl2tpd 1.3.8-2 成功解决问题。详细过程参考下这个博客: http://leijingwei.com/post/87.html ,希望采纳。
    关于   ·   FAQ   ·   API   ·   我们的愿景   ·   广告投放   ·   感谢   ·   实用小工具   ·   1430 人在线   最高记录 5168   ·     Select Language
    创意工作者们的社区
    World is powered by solitude
    VERSION: 3.9.8.3 · 23ms · UTC 17:05 · PVG 01:05 · LAX 09:05 · JFK 12:05
    ♥ Do have faith in what you're doing.